API DocumentationSpecifications
Add metadata to a specification
POST
Adds a new metadata entry (key/value pair) to a specification. Keys must be unique per specification.
Phasio API Bearer Tokenheader
AuthorizationBearer <token>partSpecificationId*stringID of the specification to add metadata to
Format
uuidapplication/json- body
metadataKey*stringLength
0 <= length <= 255value*stringMetadata added successfully
application/json- response
id*stringFormat
uuidmetadataKey*stringvalue*stringcreatedBy?updatedBy?createdAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/part-specification/497f6eca-6276-4993-bfeb-53cbbbba6f08/metadata' \ -H 'Content-Type: application/json' \ -d '{ "metadataKey": "string", "value": "string"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "metadataKey": "string", "value": "string", "createdBy": { "email": "string", "firstName": "string", "lastName": "string" }, "updatedBy": { "email": "string", "firstName": "string", "lastName": "string" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}